# Method: projects.locations.documents.fetchAcl

Gets the access control policy for a resource. Returns NOT_FOUND error if the resource does not exist. Returns an empty policy if the resource exists but does not have a policy set.

### HTTP request

`POST https://contentwarehouse.googleapis.com/v1/{resource}:fetchAcl`

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Required. REQUIRED: The resource for which the policy is being requested. Format for document: projects/{projectNumber}/locations/{location}/documents/{documentId}. Format for collection: projects/{projectNumber}/locations/{location}/collections/{collectionId}. Format for project: projects/{projectNumber}. It takes the form `projects/{project}/locations/{location}/documents/{document}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestMetadata": { object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`) }, "projectOwner": boolean } ``` |

| Fields ||
|---|---|
| `requestMetadata` | ``object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`)`` The meta information collected about the end user, used to enforce access control for the service. |
| `projectOwner` | `boolean` For Get Project ACL only. Authorization check for end user will be ignored when projectOwner=true. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/FetchAclResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `resource` resource:

- `contentwarehouse.documents.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).